Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.owl_rdf
Interface OWLRDFErrorHandler

public interface OWLRDFErrorHandler

Error handlers for parsers. Error handlers handle different conditions that may occur when parsing ontologies. Different error handlers allow strict or lax handling of errors. For example, an OWL Lite processor may choose to throw an error as soon as some OWL Full construct is encountered. Alternatively, a species validator may wish to allow errors to pass in order to be able to process the entire ontology and provide more information to the user.

Version:
  $Id: OWLRDFErrorHandler.java,v 1.1.1.1 2003/10/14 17:10:18 sean_bechhofer Exp $

Method Summary
`void` | `error(String message)` A parsing error has occurred.
`void` | `owlFullConstruct(int code, String message)` An OWL Full construct has been encountered.
`void` | `owlFullConstruct(int code, String message, Object obj)` An OWL Full construct has been encountered.
`void` | `warning(String message)` Some undesirable situation has occurred that merits a warning.

Method Detail

### owlFullConstruct

    public void owlFullConstruct(int code,
                                 String message)
                          throws SAXException

  An OWL Full construct has been encountered.

  Parameters:
    `code` - an error code, which should ideally be a constant from `OWLRDFErrorConstants`.
    `message` - a `String` value
  Throws:
    `SAXException` - if an error occurs

### owlFullConstruct

    public void owlFullConstruct(int code,
                                 String message,
                                 Object obj)
                          throws SAXException

  An OWL Full construct has been encountered.

  Parameters:
    `code` - an error code, which should ideally be a constant from `OWLRDFErrorConstants`.
    `message` - a `String` value
    `obj` - an object that may relate to the error.
  Throws:
    `SAXException` - if an error occurs

### error

    public void error(String message)
               throws SAXException

  A parsing error has occurred.

  Parameters:
    `message` - a `String` value
  Throws:
    `SAXException` - if an error occurs

### warning

    public void warning(String message)
                 throws SAXException

  Some undesirable situation has occurred that merits a warning.

  Parameters:
    `message` - a `String` value
  Throws:
    `SAXException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb